babel-preset-es2015-ie

Babel preset for all es2015 plugins that works with IE>=9.

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
babel-preset-es2015-ie
4426.7.06 years ago7 years agoMinified + gzip package size for babel-preset-es2015-ie in KB

Readme

babel-preset-es2015-ie
Babel preset for all es2015 plugins that works with IE>=9.

Install

$ npm install --save-dev babel-preset-es2015-ie

Usage

Via .babelrc (Recommended)

.babelrc
{
  "presets": ["es2015-ie"]
}

Via CLI

$ babel script.js --presets es2015-ie

Via Node API

require("babel-core").transform("code", {
  presets: ["es2015-ie"]
});